Package org.codehaus.janino

# Interface Visitor.LambdaBodyVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.LambdaBodyVisitor<R,EX extends Throwable>
The visitor for the different kinds of `Java.LambdaBody`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitBlockLambdaBody(Java.BlockLambdaBody blockLambdaBody)`
`R`
`visitExpressionLambdaBody(Java.ExpressionLambdaBody expressionLambdaBody)`

## Method Details

### visitBlockLambdaBody

@Nullable R visitBlockLambdaBody(Java.BlockLambdaBody blockLambdaBody) throws EX

Throws:
  `EX`

### visitExpressionLambdaBody

@Nullable R visitExpressionLambdaBody(Java.ExpressionLambdaBody expressionLambdaBody) throws EX

Throws:
  `EX`